# Interface methods for submodule: HardwareWisdomFilenameGenerator
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import WisdomFilenameGeneratorBaseProxy as _WisdomFilenameGeneratorBaseProxy


# Interface methods for class: HardwareWisdomFilenameGenerator
class HardwareWisdomFilenameGeneratorProxy(_WisdomFilenameGeneratorBaseProxy):
	def GenerateWisdomFilename(self, baseCacheDirectory: str) -> str:
		""""""
		...

	def SetUseOSName(self, flag: bool) -> None:
		""""""
		...

	def SetUseOSRelease(self, flag: bool) -> None:
		""""""
		...

	def SetUseOSVersion(self, flag: bool) -> None:
		""""""
		...

	def SetUseOSPlatform(self, flag: bool) -> None:
		""""""
		...

	def SetUseOSBitSize(self, flag: bool) -> None:
		""""""
		...

	def SetUseNumberOfProcessors(self, flag: bool) -> None:
		""""""
		...

	def SetUseVendorString(self, flag: bool) -> None:
		""""""
		...

	def SetUseTypeID(self, flag: bool) -> None:
		""""""
		...

	def SetUseFamilyID(self, flag: bool) -> None:
		""""""
		...

	def SetUseModelID(self, flag: bool) -> None:
		""""""
		...

	def SetUseSteppingCode(self, flag: bool) -> None:
		""""""
		...

	def GetUseOSName(self) -> bool:
		""""""
		...

	def GetUseOSRelease(self) -> bool:
		""""""
		...

	def GetUseOSVersion(self) -> bool:
		""""""
		...

	def GetUseOSPlatform(self) -> bool:
		""""""
		...

	def GetUseOSBitSize(self) -> bool:
		""""""
		...

	def GetUseNumberOfProcessors(self) -> bool:
		""""""
		...

	def GetUseVendorString(self) -> bool:
		""""""
		...

	def GetUseTypeID(self) -> bool:
		""""""
		...

	def GetUseFamilyID(self) -> bool:
		""""""
		...

	def GetUseModelID(self) -> bool:
		""""""
		...

	def GetUseSteppingCode(self) -> bool:
		""""""
		...

